%% Files that are needed for LaTeX processing (style + inputs) are available
%% relative to the download place in the directory ../inputs, the images in
%% ../img
%%
%% http://wiki.debian.org/DebianEdu/Extremadura2007

\documentclass[compress]{beamer}


\mode<presentation>{
   %\hypersetup{pdfpagemode=FullScreen}
   %% No navigation symbols
   %\setbeamertemplate{navigation symbols}{}
   \usetheme{Wernigerode2}
}

%\usepackage{xspace}
%\newcommand{\MyBigRightArrow}{{\huge\bf$\rightarrow$}\xspace}
%\newcommand{\OnImage}[1]{%
%    \begin{center}\Large#1\end{center}%
%}
%
%\usepackage{debian-links}
\usepackage{debian-at}

\newcommand{\bs}{{$\mathtt\backslash$}}

\title{Healthy CDDs}

\subtitle{Strategies for building a Custom Debian Distribution}

\author{\AndreasTille}

%\institute{\Debian}
\institute{\link{http://www.debconf.org/debconf8/}{Debian Conference 8}}

\date{Mar del Plata, August 12, 2008}

\begin{document}

\begin{frame}
  \titlepage
\end{frame}

\begin{frame}
  \frametitle{Structure}
  \tableofcontents[pausesections]
\end{frame}

\section{History}

\begin{frame}
  \frametitle{Libre Software Meeting (DebConf 1) - Bordeaux 2001}

      \begin{center}
        \resizebox{90mm}{!}{\includegraphics{history1}}
      \end{center}

\end{frame}

\begin{frame}
  \frametitle{There is a laptop open}

      \begin{center}
        \resizebox{90mm}{!}{\includegraphics{history2}}
      \end{center}

\end{frame}

\begin{frame}
 \frametitle{Who are the others?}
  \begin{itemize}
    \item \DebianJr (2000)
    \item \DebianMed (2002)
    \item \DebianEdu (2002)
    \item [\MyBigRightArrow] DebConf 3 Oslo ``Custom Debian Distributions''
    \item \Debian Accessibility (2003)
    \item \Debian Desktop (2003)
    \item \Debian Lex (2003)
    \item \Debian Nonprofit (2003)
    \item \DebianGIS (2004)
    \item \DebiChem (2004)
    \item \Debian Enterprise (2007)
  \end{itemize}
\end{frame}

\section{Development}

\subsection{Measures for development}

\begin{frame}
  \frametitle{Considering some numbers ...}

  \begin{itemize}
     \item Number of users?
     \begin{itemize}
       \item Popularity contest?
       \item Specific software has usually low popcon numbers
       \item Usage of metapackages might give some hints but popcon
         works bad for these - the ``content'' is not actually used
     \end{itemize}
     \item Number of developers
     \begin{itemize}
       \item Number of Vcs commits $\rightarrow$ not every CDD uses common Vcs
       \item Number of mailing list subscribers $\rightarrow$ people
         tend to stay subscribed
     \end{itemize}
  \end{itemize}
\end{frame}

\begin{frame}
  \begin{tabular}{c@{ }c}
    Debian Med         &  Debian Edu                  \\
    \resizebox{56mm}{!}{\includegraphics{debian-med}} &
    \resizebox{56mm}{!}{\includegraphics{debian-edu}} \\[0.95ex]
    Debian Junior      &  Debian Lex                  \\
    \resizebox{56mm}{!}{\includegraphics{debian-jr}} &
    \resizebox{56mm}{!}{\includegraphics{debian-lex}}
\end{tabular}
\end{frame}

\begin{frame}
  \frametitle{Signal, noise, artefacts}
  \begin{itemize}
    \item Not only SPAM is noise
    \item (Un)subscribe
    \item Debian Junior list peak in October 2003:
       \begin{itemize}
           \item Replacement for Abiword: LyX? Openoffice?
             $\rightarrow$ 43 postings
           \item Philosophy (was Re: Replacement for Abiword: LyX? Openoffice?)
             $\rightarrow$ 33 postings
           \item Future replacement for Abiword: Tux Writer?
             $\rightarrow$ 3 postings
           \item 79 postings about specific topic out of 89 non-SPAM
       \end{itemize}
    \item Intended and unintended robots
       \begin{itemize}
         \item December 2005: 92 messages by
           \texttt{gentoo-\bs{}w+\bs{}+help@gentoo.org} about subscription status to
           \link{http://lists.debian.org/debian-desktop}{debian-desktop@lists.debian.org}
         \item Messages by \texttt{Debian Installer},
           \texttt{bugzilla-skolelinux}, \texttt{Archive
             Administrator}, \dots
       \end{itemize}
  \end{itemize}
\end{frame}

\subsection{Growth of Metapackages}

\begin{frame}
  \frametitle{Dependency of metapackages}

  \begin{itemize}
     \item Technical output - number of metapackages and their dependencies
     \item Probably good measure
     \item Hard to obtain because not everything is in Vcs
     \item Querying \link{http://snapshot.debian.net}{snapshot.debian.net}
           possible but really time consuming
  \end{itemize}

\end{frame}

\begin{frame}
  \frametitle{Selected metapackages of Debian Med}
   \vspace{-5mm}

      \begin{center}
        \resizebox{120mm}{90mm}{\includegraphics{dmstats}}
      \end{center}

\end{frame}

\subsection{Activity of members}

\begin{frame}
  \frametitle{Number of subscribers?}

      \begin{center}
        \resizebox{90mm}{!}{\includegraphics{debian-enterprise}}
      \end{center}

\end{frame}

\begin{frame}
  \frametitle{Activity of communication measure}

  \begin{itemize}
     \item Intensity and quality of communication
     \item Every CDD has a mailing list
     \item Who are the active posters (except robots)
     \item Influence of SPAM, noise, flames, etc. is reduced
     \item Mind the run-over-by-bus factor
  \end{itemize}

\end{frame}


\section{Comparison of CDDs}

\subsection{Graphing activity}
% Debian Med
\begin{frame}
  \frametitle{Top 10 posters on \link{http://lists.debian.org/debian-med}{debian-med@lists.debian.org}}
   \vspace{-5mm}

      \begin{center}
        \resizebox{125mm}{90mm}{\includegraphics{authorstat_med}}
      \end{center}

\end{frame}

% Debian Edu
\begin{frame}
  \frametitle{Top 10 posters on \link{http://lists.debian.org/debian-edu}{debian-edu@lists.debian.org}}
   \vspace{-5mm}

      \begin{center}
        \resizebox{125mm}{90mm}{\includegraphics{authorstat_edu}}
      \end{center}

\end{frame}

% Debian Jr
\begin{frame}
  \frametitle{Top 10 posters on \link{http://lists.debian.org/debian-jr}{debian-jr@lists.debian.org}}
   \vspace{-5mm}

      \begin{center}
        \resizebox{125mm}{90mm}{\includegraphics{authorstat_jr}}
      \end{center}

\end{frame}

% Debian Accessibility
\begin{frame}
  \frametitle{Top 10 posters on \link{http://lists.debian.org/debian-accessibility}{debian-accessibility@lists.d.o}}
   \vspace{-5mm}

      \begin{center}
        \resizebox{125mm}{90mm}{\includegraphics{authorstat_accessibility}}
      \end{center}

\end{frame}

% Debian Desktop
\begin{frame}
  \frametitle{Top 10 posters on \link{http://lists.debian.org/debian-desktop}{debian-desktop@lists.debian.org}}
   \vspace{-5mm}

      \begin{center}
        \resizebox{125mm}{90mm}{\includegraphics{authorstat_desktop}}
      \end{center}

\end{frame}

% Debian Lex
\begin{frame}
  \frametitle{Top 10 posters on \link{http://lists.debian.org/debian-lex}{debian-lex@lists.debian.org}}
   \vspace{-5mm}

      \begin{center}
        \resizebox{125mm}{90mm}{\includegraphics{authorstat_lex}}
      \end{center}

\end{frame}

\begin{frame}
   \begin{itemize}
     \item Successfull SPAM protection: in 2008 this list gathered
       only SPAM
     \item Peak in November 2007:

\medskip
\begin{tabular}{lr}
 Debian-Lex Rebirth?                    &    23 \\
 Debian-Lex Rebirth? - python/perl/php? &    25 \\
 Debian-Lex Rebirth? - wiki             &     8 \\
 Rebirth                                &     1 \\
 Rebirth of Debian-lex                  &     2 \\
\end{tabular}
      \item Good example for ``vanished leader''
   \end{itemize}
\end{frame}

% Debian Nonprofit
\begin{frame}
  \frametitle{Top 10 posters on \link{http://lists.debian.org/debian-nonprofit}{debian-nonprofit@lists.debian.org}}
   \vspace{-5mm}

      \begin{center}
        \resizebox{125mm}{90mm}{\includegraphics{authorstat_nonprofit}}
      \end{center}

\end{frame}

% Debian Enterprise
\begin{frame}
  \frametitle{Top 10 posters on \link{http://lists.debian.org/debian-enterprise}{debian-enterprise@lists.debian.org}}
   \vspace{-5mm}

      \begin{center}
        \resizebox{125mm}{90mm}{\includegraphics{authorstat_enterprise}}
      \end{center}

\end{frame}

% Debian Custom
\begin{frame}
  \frametitle{Top 10 posters on \link{http://lists.debian.org/debian-custom}{debian-custom@lists.debian.org}}
   \vspace{-5mm}

      \begin{center}
        \resizebox{125mm}{90mm}{\includegraphics{authorstat_custom}}
      \end{center}

\end{frame}

\subsection{Conclusion}

\begin{frame}
  \frametitle{Most CDDs depend from single person}
  \begin{itemize}
    \item Debian Edu has a really healthy crew
    \item Debian Med has at least run-over-by-bus factor two
    \item Others seem to depend from single person
    \item Need of better management
  \end{itemize}
\end{frame}

\input med-end-en.tex

\end{document}

